
Foreman - Refactor #3540

Change pluck('table.column') back to pluck(:column)

10/29/2013 03:39 PM - Dominic Cleal

Status: New   

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

For Rails 3.2.8 compatibility, we've changed a few instance of pluck(:column) to specify the table name to remove ambiguity (which

3.2.13 and higher can cope with).  These can be reverted on Rails 4 or similar.

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

History

#1 - 10/29/2013 03:40 PM - Dominic Cleal

- Blocks Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 10/29/2013 03:49 PM - Dominic Cleal

b1e56e3c62535fd89ed4e226c56961cb5e8a3e3e #3538

65f764d6081b04cd03fa56a78e6281b5221b0bac #2579

#3 - 10/29/2013 05:33 PM - Petr Chalupa

It should probably be reverted to pluck(:column), see 

https://github.com/rails/rails/blob/bf794bb36f3bd06e2e863cd6c6dfb6ceae116af2/activerecord/lib/active_record/relation/calculations.rb#L180-L184

#4 - 10/29/2013 05:36 PM - Dominic Cleal

- Subject changed from Change pluck('table.column') back to pluck('column') to Change pluck('table.column') back to pluck(:column')

- Description updated

Oops, thanks Petr.  The string was laziness, I hadn't realised it was different!

#5 - 10/29/2013 05:37 PM - Dominic Cleal

- Subject changed from Change pluck('table.column') back to pluck(:column') to Change pluck('table.column') back to pluck(:column)

- Description updated

#6 - 10/01/2014 07:49 AM - Ohad Levy

- translation missing: en.field_release set to 21

#7 - 10/01/2014 08:51 AM - Ohad Levy

- translation missing: en.field_release deleted (21)

#8 - 01/07/2015 06:58 AM - Tom Caspy

I'm not sure I want this.

specifying the table name in situations where there's a join makes a lot of sense to me. it's more verbose, and feels right to me. let's keep it like it is.

#9 - 08/26/2015 09:36 AM - The Foreman Bot

- Status changed from New to Ready For Testing
https://projects.theforeman.org/issues/3538
https://projects.theforeman.org/issues/2579
https://github.com/rails/rails/blob/bf794bb36f3bd06e2e863cd6c6dfb6ceae116af2/activerecord/lib/active_record/relation/calculations.rb#L180-L184


- Pull request https://github.com/theforeman/foreman/pull/2639 added

- Pull request deleted ()

#10 - 12/18/2015 05:10 AM - Dominic Cleal

- Blocks deleted (Tracker #3157: Rails 4.1 upgrade tasks)

#11 - 12/18/2015 05:11 AM - Dominic Cleal

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#12 - 12/18/2015 05:11 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/2639)
